import numpy as np
from sklearn.model_selection import train_test_split
from sklearn.linear_model import LogisticRegression

# Tenemos que cargar los datos del Iris y como son dos
# clase tenemos que usar solo dos de las tres 
D = np.loadtxt( "iris.csv", delimiter=',', skiprows=1 )
print( D.shape )

# No estoy usando los datos de la tercera clase
X = D[0:100, 0:5]
y = D[0:100, 4]
print( X.shape )
print( y.shape )

# Separamos los datos para entrenamiento y prueba
X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=42 )

# Generamos el modelo del clasificador
logistica = LogisticRegression( random_state=20 )

logistica.fit(X_entrena, y_entrena)

# Probamos el modelo

# y_estimadas = logistgica.predict( y_prueba )

error = logistica.score(X_prueba, y_prueba)
print( error )

# Nos falta graficar los datos
# y saber que mide "score"


